ucnhash (Jython API documentation)
Date: 2024-08-18

org.python.modules

## Class ucnhash

- java.lang.Object
- - org.python.modules.ucnhash

- All Implemented Interfaces:
    ucnhashAPI

      public class ucnhash
      extends java.lang.Object
      implements ucnhashAPI

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String[]` | `__depends__`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ucnhash()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCchMax()`
    `int` | `getValue(java.lang.String s, int start, int end)`
    `static int` | `hash(java.lang.String key)`
    `static int` | `hash(java.lang.String key, int start, int end)`
    `static void` | `loadTables()`
    `static int` | `lookup(java.lang.String name)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __depends__

          public static java.lang.String[] __depends__

  - ### Constructor Detail

    - #### ucnhash

          public ucnhash()

  - ### Method Detail

    - #### loadTables

          public static void loadTables()
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### hash

          public static int hash(java.lang.String key)

    - #### hash

          public static int hash(java.lang.String key,
                                 int start,
                                 int end)

    - #### lookup

          public static int lookup(java.lang.String name)

    - #### getCchMax

          public int getCchMax()

      Specified by:
        `getCchMax` in interface `ucnhashAPI`

    - #### getValue

          public int getValue(java.lang.String s,
                              int start,
                              int end)

      Specified by:
        `getValue` in interface `ucnhashAPI`

Jython homepage